Thread (1 message) 1 message, 1 author, 2016-06-15

Re: git clone problem through HTTP

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:43:06
Subsystem: the rest · Maintainer: Linus Torvalds

Possibly related (same subject, not in this thread)

"Aubrey Li" [off-list ref] writes:
I'm behind of a firewall on which the git port is not permitted, so I
can only use http protocol. Unfortunately, I can't clone linus' git
tree at all. I've tried

git version 1.4.4.2
git version 1.4.4.4
git version 1.5.0.1
git version 1.5.0.4
git version 1.5.0.6
git version 1.5.1.1,

none of them work. The following is the error.
        $ git init
        $ git remote add origin http://.../linux-2.6.git
	$ git config branch.master.remote origin
	$ git config branch.master.merge refs/heads/master
        $ git fetch
        $ git merge origin

should work, because I knew about this problem and fixed it in
git-fetch in v1.5.0.

Alas, I forgot to update the matching code in git-clone.

This is why I keep saying that we should get rid of as much code
from git-clone, and make it essentially a thin wrapper around
the six commands I quoted above.

---
diff --git a/git-clone.sh b/git-clone.sh
index 513b574..cad5c0c 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -60,7 +60,7 @@ Perhaps git-update-server-info needs to be run there?"
 		else
 			tname=$name
 		fi
-		git-http-fetch $v -a -w "$tname" "$name" "$1" || exit 1
+		git-http-fetch $v -a -w "$tname" "$sha1" "$1" || exit 1
 	done <"$clone_tmp/refs"
 	rm -fr "$clone_tmp"
 	http_fetch "$1/HEAD" "$GIT_DIR/REMOTE_HEAD" ||
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help